net.minecraft.network.rcon

## Interface IServer

- All Known Implementing Classes:
    DedicatedServer

      public interface IServer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getAllUsernames()`
    `int` | `getCurrentPlayerCount()`
    `java.lang.String` | `getFolderName()`
    `java.lang.String` | `getHostname()`
    `int` | `getIntProperty(java.lang.String var1, int var2)`
    `int` | `getMaxPlayers()`
    `java.lang.String` | `getMinecraftVersion()`
    `java.lang.String` | `getMotd()`
    `java.lang.String` | `getPlugins()`
    `int` | `getPort()`
    `java.lang.String` | `getSettingsFilename()`
    `java.lang.String` | `getStringProperty(java.lang.String var1, java.lang.String var2)`
    `java.lang.String` | `handleRConCommand(java.lang.String var1)`
    `boolean` | `isDebuggingEnabled()`
    `void` | `logDebug(java.lang.String var1)`
    `void` | `logInfo(java.lang.String var1)`
    `void` | `logSevere(java.lang.String var1)`
    `void` | `logWarning(java.lang.String var1)`
    `void` | `saveProperties()`
    `void` | `setProperty(java.lang.String var1, java.lang.Object var2)`

- - ### Method Detail

    - #### getIntProperty

          int getIntProperty(java.lang.String var1,
                           int var2)

    - #### getStringProperty

          java.lang.String getStringProperty(java.lang.String var1,
                                           java.lang.String var2)

    - #### setProperty

          void setProperty(java.lang.String var1,
                         java.lang.Object var2)

    - #### saveProperties

          void saveProperties()

    - #### getSettingsFilename

          java.lang.String getSettingsFilename()

    - #### getHostname

          java.lang.String getHostname()

    - #### getPort

          int getPort()

    - #### getMotd

          java.lang.String getMotd()

    - #### getMinecraftVersion

          java.lang.String getMinecraftVersion()

    - #### getCurrentPlayerCount

          int getCurrentPlayerCount()

    - #### getMaxPlayers

          int getMaxPlayers()

    - #### getAllUsernames

          java.lang.String[] getAllUsernames()

    - #### getFolderName

          java.lang.String getFolderName()

    - #### getPlugins

          java.lang.String getPlugins()

    - #### handleRConCommand

          java.lang.String handleRConCommand(java.lang.String var1)

    - #### isDebuggingEnabled

          boolean isDebuggingEnabled()

    - #### logInfo

          void logInfo(java.lang.String var1)

    - #### logWarning

          void logWarning(java.lang.String var1)

    - #### logSevere

          void logSevere(java.lang.String var1)

    - #### logDebug

          void logDebug(java.lang.String var1)